xcb_xkb_set_compat_map(3)

NAME
xcb_xkb_set_compat_map -

SYNOPSIS
#include <xcb/xkb.h>

  Request function

xcb_void_cookie_t xcb_xkb_set_compat_map(xcb_connection_t *conn, xcb_xkb_device_spec_t deviceSpec, uint8_t recomputeActions, uint8_t truncateSI, uint8_t groups, uint16_t firstSI, uint16_t nSI, const uint8_t *si, const xcb_xkb_mod_def_t *groupMaps);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

deviceSpec
    TODO: NOT YET DOCUMENTED.

recomputeActions
    TODO: NOT YET DOCUMENTED.

truncateSI
    TODO: NOT YET DOCUMENTED.

groups
    TODO: NOT YET DOCUMENTED.

firstSI
    TODO: NOT YET DOCUMENTED.

nSI TODO: NOT YET DOCUMENTED.

si  TODO: NOT YET DOCUMENTED.

groupMaps
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_xkb_set_compat_map_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xkb.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.